Commit 12bc6bfe authored by Steven Cordwell's avatar Steven Cordwell

[travis] Remove system_site_packages

System site packages only works for Python 2.7 and 3.2, so remove for
3.3 and 3.4. Also install liblapack because it seems like cvxopt does
not find atlas.
parent aed257a7
language: python
python:
- "3.4"
- "3.3"
- "3.2"
# - "pypy"
# - "pypy3"
# - "2.6"
- "2.7"
virtualenv:
system_site_packages: true
- "2.7_with_system_site_packages"
- "3.2"
- "3.2_with_system_site_packages"
- "3.3"
- "3.4"
before_install:
- sudo apt-get update -qq
- sudo apt-get install -qq libatlas-dev libgsl0-dev fftw-dev libglpk-dev libdsdp-dev
- if [[ $TRAVIS_PYTHON_VERSION == 2* ]]; then sudo apt-get install -qq python-numpy python-scipy; fi
- if [[ $TRAVIS_PYTHON_VERSION == 3* ]]; then sudo apt-get install -qq python3-numpy python3-scipy; fi
- sudo apt-get install -qq gcc gfortran liblapack-dev libatlas-base-dev libgsl0-dev fftw-dev libglpk-dev libdsdp-dev
- if [[ $TRAVIS_PYTHON_VERSION == "2.7" ]]; then sudo apt-get install -qq python-dev; fi
- if [[ $TRAVIS_PYTHON_VERSION == "2.7_with_system_site_packages" ]]; then sudo apt-get install -qq python-numpy python-scipy; fi
- if [[ $TRAVIS_PYTHON_VERSION == "3.2" ]]; then sudo apt-get install -qq python3-dev; fi
- if [[ $TRAVIS_PYTHON_VERSION == "3.2_with_system_site_packages" ]]; then sudo apt-get install -qq python3-numpy python3-scipy; fi
install:
- pip install "file://$PWD#egg=pymdptoolbox[LP]"
# command to run tests
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment